## libclass-adapter-perl 1.07

=== debian/changelog ===
libclass-adapter-perl (1.07-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release.
  * debian/copyright: Update years of copyright.
  * debian/control: Remove build-dependencies for tests moved to xt/.
  * Use source format 3.0 (quilt).
  * Update debian/copyright to current DEP-5 proposal.
  * Fix spelling error in documentation.
    + new patch: spelling.patch
  * Bump Standards-Version to 3.8.4 (no changes).

  [ gregor herrmann ]
  * debian/rules: remove AUTOMATED_TESTING, not used by tests anymore.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 12 Apr 2010 11:32:07 +0900

libclass-adapter-perl (1.06-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ansgar Burchardt ]
  * New upstream release
    + debian/copyright: Update years of copyright.
    + add build-dep on libperl-minimumversion-perl (>= 1.20)
  * Use minimal debian/rules.
  * Make build-dep on perl unversioned as allowed by Policy 3.8.3.
  * Bump Standards-Version to 3.8.3.
  * Add perl (>= 5.10.1) as an alternative to libpod-simple-perl

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 24 Nov 2009 22:01:03 +0900

libclass-adapter-perl (1.05-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Convert debian/copyright to proposed machine-readable format
  * Enable some more tests, add build-depends on libtest-pod-perl,
    libpod-simple-perl, libtest-minimumversion-perl, libtest-cpan-meta-perl
  * Set debian/compat to 7

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 19 Sep 2008 19:19:28 +0200

libclass-adapter-perl (1.04-1) unstable; urgency=low

  * Initial release. (Closes: #495192: ITP: libclass-adapter-perl --
    Perl implementation of the "Adapter" Design Pattern)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 15 Aug 2008 10:41:45 +0200
