=== debian/control ===
Source: libclass-adapter-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>,
 Ansgar Burchardt <ansgar@43-1.org>
Standards-Version: 3.8.4
Homepage: http://search.cpan.org/dist/Class-Adapter/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libclass-adapter-perl/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libclass-adapter-perl/

Package: libclass-adapter-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: Perl implementation of the "Adapter" Design Pattern
 The Class::Adapter class is intended as an abstract base class for creating
 any sort of class or object that follows the Adapter pattern.
 .
 The term Adapter refers to a "Design Pattern" of the same name, from the
 famous "Gang of Four" book "Design Patterns". Although their original
 implementation was designed for Java and similar single-inheritance
 strictly-typed langauge, the situation for which it applies is still valid.
 .
 An Adapter in this Perl sense of the term is when a class is created to
 achieve by composition (objects containing other object) something that can't
 be achieved by inheritance (sub-classing).
 .
 This is similar to the Decorator pattern, but is intended to be applied on a
 class-by-class basis, as opposed to being able to be applied one object at a
 time, as is the case with the Decorator pattern.
