## libclass-adapter-perl 1.09

=== debian/changelog ===
libclass-adapter-perl (1.09-2) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.1.5, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Dec 2022 23:47:27 +0000

libclass-adapter-perl (1.09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add debian/upstream/metadata.
  * Update upstream contact.
  * debian/copyright: remove stanza about dropped files.
  * Drop spelling.patch, applied upstream.
  * Install new upstream CONTRIBUTING document.

 -- gregor herrmann <gregoa@debian.org>  Mon, 25 Jun 2018 21:42:16 +0200

libclass-adapter-perl (1.08-1) unstable; urgency=medium

  * Team upload.

  [ Ansgar Burchardt ]
  * New upstream release.
  * debian/copyright: update years of copyright, refer to GPL-1, refer to
    "Debian systems" instead of "Debian GNU/Linux systems".
  * Drop patch spelling.patch: applied upstream.
  * Email change: Ansgar Burchardt -> ansgar@debian.org
  * debian/control: Convert Vcs-* fields to Git.

  [ Fabrizio Regalli ]
  * Bump to 3.9.2 Standard-Version.
  * Add myself to Uploaders.
  * Switch d/compat to 8.
  * Build-Depends: switch to debhelper (>= 8).

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Remove Fabrizio Regalli from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.1.4.
  * Bump debhelper compatibility level to 10.
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Fix typo in long description.
  * Add a new spelling patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Apr 2018 16:31:20 +0200
