=== debian/control ===
Source: libclass-adapter-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>,
           Ansgar Burchardt <ansgar@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               perl
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libclass-adapter-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libclass-adapter-perl.git
Homepage: https://metacpan.org/release/Class-Adapter

Package: libclass-adapter-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: Perl implementation of the "Adapter" Design Pattern
 The Class::Adapter class is intended as an abstract base class for creating
 any sort of class or object that follows the Adapter pattern.
 .
 The term Adapter refers to a "Design Pattern" of the same name, from the
 famous "Gang of Four" book "Design Patterns". Although their original
 implementation was designed for Java and similar single-inheritance
 strictly-typed language, the situation for which it applies is still valid.
 .
 An Adapter in this Perl sense of the term is when a class is created to
 achieve by composition (objects containing other object) something that can't
 be achieved by inheritance (sub-classing).
 .
 This is similar to the Decorator pattern, but is intended to be applied on a
 class-by-class basis, as opposed to being able to be applied one object at a
 time, as is the case with the Decorator pattern.
