=== debian/watch ===
version=4
https://metacpan.org/release/Class-Adapter   .*/Class-Adapter-v?@ANY_VERSION@@ARCHIVE_EXT@$
